Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java	(revision 1050)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java	(revision 1051)
@@ -21,7 +21,7 @@
 	
 	public static final ImageDescriptor ICON =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(ConcordanceAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(ConcordanceAdapterFactory.class).getSymbolicName() + "/icons/concordance.png"); //$NON-NLS-1$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(ConcordanceAdapterFactory.class).getSymbolicName() + "/icons/concordance.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
 
 	@Override
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 1050)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 1051)
@@ -143,7 +143,65 @@
 	public static String ConcordancesEditor_110;
 	public static String ConcordancesEditor_115;
 	public static String ConcordancesEditor_116;
+
+	public static String CorporaView_3;
+
+	public static String CreateSubcorpusDialog_10;
 	
+	public static String editor_19;
+
+	public static String editor_20;
+
+	public static String editor_21;
+
+	public static String editor_22;
+
+	public static String editor_23;
+
+	public static String editor_24;
+
+	public static String editor_25;
+
+	public static String editor_26;
+
+	public static String editor_27;
+
+	public static String editor_28;
+
+	public static String editor_29;
+
+	public static String editor_30;
+
+	public static String editor_3dots;
+
+	public static String editor_dot;
+
+	public static String editor_empty;
+
+	public static String editor_error;
+
+	public static String editor_error_open_editor;
+
+	public static String editor_error_ui_creation;
+
+	public static String editor_keyword;
+
+	public static String editor_left;
+
+	public static String editor_properties_panel;
+
+	public static String editor_references;
+
+	public static String editor_right;
+
+	public static String editor_sorting_with;
+
+	public static String editor_view;
+
+	public static String LastCQPError;
+
+	public static String SORT_DONE;
+
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, ConcordanceUIMessages.class);
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties	(revision 1050)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties	(revision 1051)
@@ -112,6 +112,33 @@
 ConcordancesEditor_xpndtmNewExpanditem_text_1 = New ExpandItem
 ConcordancesEditor_xpndtmNewExpanditem_text_2 = New ExpandItem
 ConcordancesEditor_xpndtmNewParameters_text   = New Parameters
+CorporaView_3=
+CreateSubcorpusDialog_10=
+editor_19=...
+editor_20=Sort
+editor_21=
+editor_22=...
+editor_23=
+editor_24=...
+editor_25=
+editor_26=...
+editor_27=
+editor_28=...
+editor_29=Size
+editor_30=navigation
+editor_3dots=...
+editor_dot=.
+editor_empty=
+editor_error=Fatal error: {0}
+editor_error_open_editor=Can not open ConcordanceEditor with {0}
+editor_error_ui_creation=Error while building interface: {0}
+editor_keyword=Keyword
+editor_left=Left
+editor_properties_panel=Properties panel
+editor_references=References
+editor_right=Right
+editor_sorting_with=Sorting with 
+editor_view=View
 
 ERROR_WHILE_LOADING_CONCORDANCE_LINE = An error occurred while retrieving the concordance lines: {0}
 
@@ -126,3 +153,5 @@
 GetConcordancesDialog_7  = &Reference:
 
 GetConcordances_4        = Error while computing concordances: {0}
+LastCQPError=
+SORT_DONE=
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1050)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1051)
@@ -278,7 +278,7 @@
 		TXMResult result = this.getResult();
 
 		if (!(result instanceof Concordance)) {
-			throw new PartInitException("Can not open ConcordanceEditor with " + result + ".");
+			throw new PartInitException(ConcordanceUIMessages.bind(ConcordanceUIMessages.editor_error_open_editor, result));
 		}
 		this.concordance = (Concordance)result;
 
@@ -304,7 +304,7 @@
 				complexsorter.setComparators(this);
 			}
 		} catch(Exception e) {
-			System.out.println("Error while building interface: "+e.getLocalizedMessage());
+			System.out.println(ConcordanceUIMessages.bind(ConcordanceUIMessages.editor_error_ui_creation, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 	}
@@ -683,7 +683,7 @@
 			concordance.resetLines();
 
 			try {
-				Log.info("Sorting with "+currentComparator.getName());
+				Log.info(ConcordanceUIMessages.editor_sorting_with+currentComparator.getName());
 				if (currentComparator instanceof CompositeComparator)
 					Log.info(((CompositeComparator) currentComparator).getComparators().toString());
 				JobHandler jobhandler = new JobHandler("Sorting...") { //$NON-NLS-1$
@@ -716,7 +716,7 @@
 							System.err.println(NLS.bind(ConcordanceUIMessages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
 							org.txm.rcp.utils.Logger.printStackTrace(e);
 						} catch (Error e) {
-							System.err.println("Fatal error: "+e);
+							System.err.println(ConcordanceUIMessages.bind(ConcordanceUIMessages.editor_error,e));
 							e.printStackTrace();
 						} finally {
 							monitor.done();
@@ -925,7 +925,7 @@
 				true, 4, 1));
 
 		// properties widget like in the portal version
-		GLComposite propertiesPanel = new GLComposite(queryArea, SWT.BORDER, "Properties panel");
+		GLComposite propertiesPanel = new GLComposite(queryArea, SWT.BORDER, ConcordanceUIMessages.editor_properties_panel);
 		propertiesPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				true, 4, 1));
 		propertiesPanel.getLayout().numColumns = 5;
@@ -933,17 +933,17 @@
 
 		try {
 			Label l = new Label(propertiesPanel, SWT.NONE);
-			l.setText("");
+			l.setText(ConcordanceUIMessages.editor_empty);
 			l.setLayoutData(new GridData(GridData.FILL,GridData.FILL, true, false));
-			new Label(propertiesPanel, SWT.NONE).setText("References");
-			new Label(propertiesPanel, SWT.NONE).setText("Left");
-			new Label(propertiesPanel, SWT.NONE).setText("Keyword");
-			new Label(propertiesPanel, SWT.NONE).setText("Right");
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_references);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_left);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_keyword);
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_right);
 
-			new Label(propertiesPanel, SWT.NONE).setText("View");
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_view);
 			refViewProperties = new PropertiesSelector<Property>(propertiesPanel, SWT.NONE);
-			refViewProperties.setTitle("");
-			refViewProperties.setButtonText("...");
+			refViewProperties.setTitle(ConcordanceUIMessages.editor_empty);
+			refViewProperties.setButtonText(ConcordanceUIMessages.editor_3dots);
 			refViewProperties.setProperties(ReferencePattern.getPossibleValues(getCorpus()));
 			refViewProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -953,9 +953,9 @@
 				}
 			});
 			leftViewProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			leftViewProperties.setTitle("");
+			leftViewProperties.setTitle(ConcordanceUIMessages.editor_empty);
 			leftViewProperties.setProperties(getCorpus().getOrderedProperties());
-			leftViewProperties.setButtonText("...");
+			leftViewProperties.setButtonText(ConcordanceUIMessages.editor_3dots);
 			leftViewProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -964,9 +964,9 @@
 				}
 			});
 			keywordViewProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			keywordViewProperties.setTitle("");
+			keywordViewProperties.setTitle(ConcordanceUIMessages.editor_empty);
 			keywordViewProperties.setProperties(getCorpus().getOrderedProperties());
-			keywordViewProperties.setButtonText("...");
+			keywordViewProperties.setButtonText(ConcordanceUIMessages.editor_3dots);
 			keywordViewProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -975,9 +975,9 @@
 				}
 			});
 			rightViewProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			rightViewProperties.setTitle("");
+			rightViewProperties.setTitle(ConcordanceUIMessages.editor_empty);
 			rightViewProperties.setProperties(getCorpus().getOrderedProperties());
-			rightViewProperties.setButtonText("...");
+			rightViewProperties.setButtonText(ConcordanceUIMessages.editor_19);
 			rightViewProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -986,10 +986,10 @@
 				}
 			});
 
-			new Label(propertiesPanel, SWT.NONE).setText("Sort");
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_20);
 			refSortProperties = new PropertiesSelector<Property>(propertiesPanel, SWT.NONE);
-			refSortProperties.setTitle("");
-			refSortProperties.setButtonText("...");
+			refSortProperties.setTitle(ConcordanceUIMessages.editor_21);
+			refSortProperties.setButtonText(ConcordanceUIMessages.editor_22);
 			refSortProperties.setProperties(ReferencePattern.getPossibleValues(getCorpus()));
 			refSortProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -999,8 +999,8 @@
 				}
 			});
 			leftSortProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			leftSortProperties.setTitle("");
-			leftSortProperties.setButtonText("...");
+			leftSortProperties.setTitle(ConcordanceUIMessages.editor_23);
+			leftSortProperties.setButtonText(ConcordanceUIMessages.editor_24);
 			leftSortProperties.setProperties(getCorpus().getOrderedProperties());
 			leftSortProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -1010,8 +1010,8 @@
 				}
 			});
 			keywordSortProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			keywordSortProperties.setTitle("");
-			keywordSortProperties.setButtonText("...");
+			keywordSortProperties.setTitle(ConcordanceUIMessages.editor_25);
+			keywordSortProperties.setButtonText(ConcordanceUIMessages.editor_26);
 			keywordSortProperties.setProperties(getCorpus().getOrderedProperties());
 			keywordSortProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -1021,8 +1021,8 @@
 				}
 			});
 			rightSortProperties = new PropertiesSelector<WordProperty>(propertiesPanel, SWT.NONE);
-			rightSortProperties.setTitle("");
-			rightSortProperties.setButtonText("...");
+			rightSortProperties.setTitle(ConcordanceUIMessages.editor_27);
+			rightSortProperties.setButtonText(ConcordanceUIMessages.editor_28);
 			rightSortProperties.setProperties(getCorpus().getOrderedProperties());
 			rightSortProperties.addSelectionListener(new ComputeSelectionListener(this) {
 				@Override
@@ -1032,7 +1032,7 @@
 				}
 			});
 
-			new Label(propertiesPanel, SWT.NONE).setText("Size");
+			new Label(propertiesPanel, SWT.NONE).setText(ConcordanceUIMessages.editor_29);
 			new Label(propertiesPanel, SWT.NONE);
 			leftSizeSpinner = new Spinner(propertiesPanel, SWT.BORDER);
 			leftSizeSpinner.addSelectionListener(new ComputeSelectionListener(this) {
@@ -1072,7 +1072,7 @@
 		});
 
 		// Navigation Area: infoLine and buttons
-		GLComposite navigationAreaComposite = getBottomToolbar().installGLComposite("navigation", 1, false);
+		GLComposite navigationAreaComposite = getBottomToolbar().installGLComposite(ConcordanceUIMessages.editor_30, 1, false);
 		navigationAreaComposite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
 
 		navigationWidget = new NavigationWidget(navigationAreaComposite, SWT.NONE);
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/messages.properties
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/messages.properties	(revision 0)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/messages.properties	(revision 1051)
@@ -0,0 +1 @@
+action_text_reset_column_widths=Reset column widths

Property changes on: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ResetColumnWidths.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ResetColumnWidths.java	(revision 1050)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ResetColumnWidths.java	(revision 1051)
@@ -16,7 +16,7 @@
 			ConcordanceEditor concordanceEditor) {
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText("Reset column widths");
+		setText(Messages.action_text_reset_column_widths);
 	}
 	
 	@Override
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/Messages.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/Messages.java	(revision 0)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/Messages.java	(revision 1051)
@@ -0,0 +1,15 @@
+package org.txm.concordance.rcp.actions;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	private static final String BUNDLE_NAME = "org.txm.concordance.rcp.actions.messages"; //$NON-NLS-1$
+	public static String action_text_reset_column_widths;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+
+	private Messages() {
+	}
+}

Property changes on: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

